﻿<UserControl xmlns="https://github.com/avaloniaui"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             mc:Ignorable="d" d:DesignWidth="800" d:DesignHeight="450"
             x:Class="PracticaDiagnostico.Views.PageMatrizEscalonadaView">

	<Grid Margin="20" ColumnDefinitions=".15*, .30*, .35*" RowDefinitions=".15*, .35*, .2*, .15*, .15*, .05*">
		<TextBlock Grid.Column="0" Grid.ColumnSpan="5" Grid.Row="0" FontSize="20">
			Dada una matriz escalonada
Generar un mecanismo para encontrar la posición del elemento entero 4 (O el que usted
designe) dentro de la misma. El resultado de buscar 4 debería ser = &quot;[2, 3]&quot;
		</TextBlock>

		<StackPanel Margin="0 20" Grid.Column="0" Grid.ColumnSpan="1" Grid.Row="1">
			<TextBlock FontSize="20" >Matriz </TextBlock>

			<StackPanel Margin="0 10 0 0" Orientation="Horizontal" Spacing="10">
				<TextBox  FontSize="14" Watermark="A1" Width="30" Text="{Binding Matrix[0][0], Mode=TwoWay}"/>
				<TextBox  FontSize="14" Watermark="A2" Width="30" Text="{Binding Matrix[0][1], Mode=TwoWay}"/>
				<TextBox  FontSize="14" Watermark="A3" Width="30" Text="{Binding Matrix[0][2], Mode=TwoWay}"/>
				<TextBox  FontSize="14" Watermark="A4" Width="30" Text="{Binding Matrix[0][3], Mode=TwoWay}"/>
				<TextBox  FontSize="14" Watermark="A5" Width="30" Text="{Binding Matrix[0][4], Mode=TwoWay}"/>
			</StackPanel>
			<StackPanel Margin="0 10 0 0" Orientation="Horizontal" Spacing="10">
				<TextBox  FontSize="14" Watermark="B1" Width="30" Text="{Binding Matrix[1][0], Mode=TwoWay}"/>
				<TextBox  FontSize="14" Watermark="B2" Width="30" Text="{Binding Matrix[1][1], Mode=TwoWay}"/>
				<TextBox  FontSize="14" Watermark="B3" Width="30" Text="{Binding Matrix[1][2], Mode=TwoWay}"/>
				<TextBox  FontSize="14" Watermark="B4" Width="30" Text="{Binding Matrix[1][3], Mode=TwoWay}"/>
			</StackPanel>
			<StackPanel Margin="0 10 0 0" Orientation="Horizontal" Spacing="10">
				<TextBox  FontSize="14" Watermark="C1" Width="30" Text="{Binding Matrix[2][0], Mode=TwoWay}"/>
				<TextBox  FontSize="14" Watermark="C2" Width="30" Text="{Binding Matrix[2][1], Mode=TwoWay}"/>
			</StackPanel>
		</StackPanel>

		<StackPanel Margin="0 20" Grid.Column="0" Grid.Row="2">
			<TextBlock FontSize="20" >Elemento</TextBlock>
			<StackPanel Margin="0 10 0 0" Orientation="Horizontal">
				<TextBox FontSize="14" Width="80" Watermark="Valor" Text="{Binding SearchNumber, Mode=TwoWay}"/>
			</StackPanel>
		</StackPanel>

		<StackPanel Margin="0 10" Grid.Column="0" Grid.Row="3" Spacing="20">
			<Button Content="Cargar Valores" Command="{Binding OnDefaultsClick}"/>
			<Button Content="Buscar" Command="{Binding OnCalculateClick}"/>
		</StackPanel>

		<StackPanel Margin="0 20" Grid.Column="0" Grid.Row="4" Grid.ColumnSpan="2">
			<TextBlock FontSize="20">Resultado</TextBlock>
			<TextBlock FontSize="14" Text="{Binding Result, Mode=TwoWay}" />
		</StackPanel>

	</Grid>
</UserControl>
